Subject: Re: [PATCH] Fix arg doc off-by-one bug of eglot signature help

From: João Távora <[email-masked]>
Date: Sat, 16 Aug 2025 23:02:22 +0100

On Sat, Aug 16, 2025 at 10:48 PM Lin Jian <[email-masked]> wrote:

> Tags: patch
>
> `parlabel' is 0-indexed.  Arguments of `substring' are also
> 0-indexed.  No need to add 1 to `parlabel' before passing it to
> `substring'.
>

Thanks, but I (or whoever) added the 1+ there probably did so for
a reason.

Maybe they were mistaken, but you have to supply a reproduction recipe
that demonstrates there's a problem with that, so we can check the
before and after, else I could be fixing it for you and breaking it for
someone else.

Please see https://joaotavora.github.io/eglot/#Reporting-bugs-1 for how to
report an Emacs -Q recipe (including a LSP server setup).

Thanks,
João